#!/bin/bash

plugin='modSecurity-control'
pluginPath='/usr/local/cpanel/base/frontend/'
themeA='paper_lantern'
themeB='jupiter'

if [ -d "$pluginPath""$themeA"/"$plugin" ]; then
    # Uninstall the plugin
    /usr/local/cpanel/scripts/uninstall_plugin "$pluginPath""$themeA"/"$plugin" --theme="$themeA"
    
    # Remove the plugin directory
    rm -rf "$pluginPath""$themeA"/"$plugin"
    
    # Revoke the API token
    whmapi1 api_token_revoke token_name="$plugin"_"$themeA"
fi

if [ -d "$pluginPath""$themeB"/"$plugin" ]; then
    # Uninstall the plugin
    /usr/local/cpanel/scripts/uninstall_plugin "$pluginPath""$themeB"/"$plugin" --theme="$themeB"
    
    # Remove the plugin directory
    rm -rf "$pluginPath""$themeB"/"$plugin"
    
    # Revoke the API token
    whmapi1 api_token_revoke token_name="$plugin"_"$themeB"
fi

if [ -f /etc/cron.d/createModSecConf.cron ]; then
    # Remove the cron job
    rm -f /etc/cron.d/createModSecConf.cron
fi

if [ -f /etc/cron.d/rebuildModSecConf.cron ]; then
    # Remove the cron job
    rm -f /etc/cron.d/rebuildModSecConf.cron
fi

# Unregister the WHM "post-createAccount" hook.
/usr/local/cpanel/bin/manage_hooks delete script "$pluginPath""$themeB"/"$plugin"/hooks/post-createAccount.php --manual --category Whostmgr --event 'Accounts::Create' --stage post
# Unregister the WHM "post-modifyAccount" hook.
/usr/local/cpanel/bin/manage_hooks delete script "$pluginPath""$themeB"/"$plugin"/hooks/post-modifyAccount.php --manual --category Whostmgr --event 'Accounts::Modify' --stage post
# Unregister the WHM "post-removeAccount" hook.
/usr/local/cpanel/bin/manage_hooks delete script "$pluginPath""$themeB"/"$plugin"/hooks/post-removeAccount.php --manual --category Whostmgr --event 'Accounts::Remove' --stage post
